%define name gnucash
%define version 1.4.10
%define release 1mdk

Name: %{name}
Summary: GnuCash is an application to keep track of your finances.
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Office
Source: ftp.gnucash.org/pub/gnucash/sources/stable/%{name}-%{version}.tar.bz2
Source1: gnucash-48.xpm.bz2
Source2: gnucash-32.xpm.bz2
Source3: gnucash-16.xpm.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
URL: http://www.gnucash.org
# (fg) Patch to prevent profiling, gnucash activates it by default (?)
#Patch0: gnucash-noprofiling.patch.bz2
# (fg) Patch to compile with perl 5.6.0, credits to Pixel
#Patch1: gnucash-perl506-compile-fix.patch.bz2
#Patch0: gnucash.patch.bz2
Patch0: gnucash-swig.patch.bz2
Requires: swig eperl  guile xpm
# g-wrap must be updated when guile is
Requires: g-wrap >= 0.9.5
BuildRequires: eperl swig g-wrap xpm-devel guile-devel 
BuildRequires: g-wrap-devel >= 0.9.5

%package devel
Group:	Development/C
Summary: Libraries needed to develop for gnucash
Requires: %{name} = %{version}

%description
GnuCash is a personal finance manager. A check-book like
register GUI allows you to enter and track bank accounts,
stocks, income and even currency trades. The interface is
designed to be simple and easy to use, but is backed with
double-entry accounting principles to ensure balanced books.

%description devel
Libraries needed to develop for gnucash.

%prep
%setup -q

#%patch0 -p1

%build
#(
#cd lib/g-wrap
#libtoolize --copy --force
#cd ../../
#)
#%configure --prefix=$RPM_BUILD_ROOT/usr --exec_prefix=$RPM_BUILD_ROOT/usr 
%configure

#bunzip2 $RPM_SOURCE_DIR/gnucash-swig.patch.bz2
#cp $RPM_SOURCE_DIR/gnucash-swig.patch $RPM_BUILD_DIR
#patch $RPM_BUILD_DIR/%{name}-%{version}/src/optional/swig/Makefile $RPM_BUILD_DIR/gnucash-swig.patch
#bzip2 $RPM_SOURCE_DIR/gnucash-swig.patch

# pseudo-source.c is generated by a perl script... beware on a cluster !
make
#%make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%{find_lang} %{name}

#mkdir -p $RPM_BUILD_ROOT/etc
#cd $RPM_BUILD_ROOT/etc
#ln -s ../usr/etc/gnucash ./

# Icons
mkdir -p $RPM_BUILD_ROOT/%{_iconsdir}
mkdir -p $RPM_BUILD_ROOT/%{_liconsdir}
mkdir -p $RPM_BUILD_ROOT/%{_miconsdir}
bzcat %{SOURCE1} > $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.xpm
bzcat %{SOURCE2} > $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.xpm
bzcat %{SOURCE3} > $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.xpm

# Menu entry 
mkdir -p $RPM_BUILD_ROOT/%{_menudir}
cat >$RPM_BUILD_ROOT/%{_menudir}/%{name} <<EOF
?package(%{name}): command="%{_bindir}/%{name}" icon="%{name}.xpm" needs="X11" \
section="Office" title="GnuCash" longtitle="GnuCash Personal finance manager"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%{update_menus}

%postun
%{clean_menus}
/sbin/ldconfig


%files devel
%defattr(-,root,root)
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/%{name}/perl/*.a
%{_libdir}/%{name}/perl/*.la

%files -f %{name}.lang
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/%{name}/*
%{_libdir}/*.so.0*
%{_libdir}/%{name}/perl/*.so.0*
%{_bindir}/*
%{_datadir}/%{name}/perl
%{_datadir}/%{name}/scm
%{_iconsdir}/%{name}.xpm
%{_iconsdir}/mini/%{name}.xpm
%{_iconsdir}/large/%{name}.xpm
%doc %{_datadir}/%{name}/html
%doc %{_datadir}/%{name}/doc
%{_menudir}/%{name}
%{_mandir}/*/*
%{_libdir}/%{name}/perl/*.so
%{_libdir}/*.so
%{_datadir}/gnome/apps/Applications/gnucash.desktop

%changelog
* Wed Mar 21 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.4.10-1mdk
- new version, now from ftp.gnome.org

* Thu Mar 15 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.4.9-1mdk
- new version
- readded .desktop

* Tue Oct 24 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.4.8-1mdk
- new version 1.4.8
- added buildconflicts with libxml2-devel

* Mon Oct  9 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.4.7-2mdk
- added /usr/lib/gnucash/perl/* library files
- added la files in devel
- added man pages
- added requirement in devel
- gnucash.so is needed in the *normal* package because of swig
- moved libgncengine.so from devel to normal, just in case...

* Mon Oct  2 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.4.7-1mdk
- new version

* Tue Sep 12 2000  <rchaillat@bi.mandrakesoft.com> 1.4.6-1mdk
- new version

* Thu Aug 31 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.4.5-2mdk
- added comment about g-wrap
- added menu file

* Wed Aug 30 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.4.5-1mdk
- went back to stable releases
- macroszification
- corrected icons
- added some more BuildRequires (xpm, guile-devel)
- specfile clean-up
- split application and devel packages

* Fri Jul 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.5.0-1mdk
- Updated version

* Tue Jul 11 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.4.2-3mdk
- Repaired missing libs

* Mon Jul 10 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.4.2-1mdk
- Updated version / release 2 hours ago.

* Sat Jul 08 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.4.1-1mdk
- Updated version

* Wed May 24 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.3.1-5mdk
- Give full path when using convert.
- BuildPrereq: /usr/bin/convert.
- Regenerate libtoolize everywhere there is a configure.
- BuildRequires: eperl swig.

* Mon Apr 10 2000 Francis Galiegue <fg@mandrakesoft.com> 1.3.1-4mdk

- Patched to compile with perl 5.6.0

* Wed Mar 22 2000 Francis Galiegue <fg@mandrakesoft.com> 1.3.1-3mdk

- Icon for menu entry
- Rebuilt on kenobi


* Mon Mar 13 2000 Francis Galiegue <francis@mandrakesoft.com> 1.3.1-2mdk

- Menu'ized, changed group to Office (was: Applications/Finance)


* Mon Mar 13 2000 Francis Galiegue <francis@mandrakesoft.com>

- First RPM for Mandrake

* Mon Feb 29 2000 Christian Schaller <Uraues@linuxrising.org>
- Updated for use with TurboLinux and some minor SPEC changes
